{
    "name": "hearttrack/package",
    "autoload": {
        "psr-4": {
            "Hearttrack\\": "src/",
            "App\\": "src/app",
            "Data\\": "src/data",
            "Model\\": "src/data/model",
            "Repository\\": "src/data/model/repository",
            "Manager\\": "src/data/model/manager",
            "Network\\": "src/data/core/network",
            "Stub\\": [
                "src/data/stub",
                "src/data/stub/service",
                "src/data/stub/repository"
            ],
            "Console\\": "src/console",
            "Shared\\": "src/shared",
            "App\\Router\\": "src/app/router",
            "App\\Controller\\": "src/app/controller",
            "App\\Router\\Response\\" : "src/app/router/response",
            "App\\Router\\Middleware\\" : "src/app/router/middleware",
            "App\\Router\\Request\\" : "src/app/router/request",
            "Shared\\Exception\\": "src/shared/exception",
            "Shared\\Attributes\\": "src/shared/attributes",
            "App\\Views\\Directives\\" : "src/app/views/directives",
            "Data\\Core\\": "src/data/core/" 
        }
    },
    "require": {
        "twig/twig": "^3.0",
        "altorouter/altorouter": "1.1.0",
        "vlucas/phpdotenv": "^5.5",
        "psr/container": "^2.0",
        "adriangibbons/php-fit-file-analysis": "^3.2.0"
    },
    "require-dev": {
        "phpunit/phpunit": "*"
    },
    "scripts": {
        "dev": "php -S localhost:8080 -t public -d display_errors=1 -d error_reporting=E_ALL",
        "dev:console": "export APP_ENV=console && php public/index.php",
        "dev:html" : "export APP_ENV=html && php -S localhost:8080 -t public -d display_errors=1 -d error_reporting=E_ALL"
    }
}
